5.3.0-git
2014-12-19

[#11704] Default sort arrow not visible
Summary Default sort arrow not visible
Queue Trean
Type Bug
State Resolved
Priority 1. Low
Owners mrubinsk (at) horde (dot) org
Requester thomas.jarosch (at) intra2net (dot) com
Created 2012-11-14 (765 days ago)
Due
Updated 2012-12-21 (728 days ago)
Assigned 2012-11-15 (764 days ago)
Resolved 2012-12-21 (728 days ago)
Milestone
Patch No

History
2012-12-21 03:18:25 Chuck Hagenbuch Comment #8
State ⇒ Resolved
Reply to this comment
I moved the column over; I think this is set.
2012-12-21 03:18:05 Git Commit Comment #7 Reply to this comment
Changes have been made in Git (master):

commit a12cf8c4ac097fda66274395921e6ef8dd297fc5
Author: Chuck Hagenbuch <chuck@horde.org>
Date:   Thu Dec 20 22:17:19 2012 -0500

     Move "added on" column over to before "clicks" column (part of Bug #11704)

  trean/templates/list.html.php |    8 ++++----
  1 files changed, 4 insertions(+), 4 deletions(-)

http://git.horde.org/horde-git/-/commit/a12cf8c4ac097fda66274395921e6ef8dd297fc5
2012-11-15 14:40:15 Michael Rubinsky State ⇒ Assigned
 
2012-11-15 14:25:16 Michael Rubinsky Comment #6
State ⇒ Feedback
Reply to this comment
Alright, the sort arrow is shown now. Good.

Two observations:
1. The arrow is shown on the "title" column, even though sorting 
seems to be done on the "bookmarked on" column. prefs.php also lists 
"dt" as the default.
I can't reproduce this. Try starting with clean prefs (no entries for 
Trean in the prefs backend).
2. Do we really want the "Bookmarked on" column to be the first/most 
important column?
Doesn't matter to me, I was reverting to where I thought I remembered 
that it used to be. We can move it.

2012-11-15 08:37:01 Thomas Jarosch Comment #5 Reply to this comment
Alright, the sort arrow is shown now. Good.

Two observations:
1. The arrow is shown on the "title" column, even though sorting seems 
to be done on the "bookmarked on" column. prefs.php also lists "dt" as 
the default.

2. Do we really want the "Bookmarked on" column to be the first/most 
important column?
Personally I would have moved it before "Clicks".

Cheers,
Thomas

2012-11-14 19:08:47 Michael Rubinsky State ⇒ Resolved
 
2012-11-14 19:08:37 Git Commit Comment #4 Reply to this comment
Changes have been made in Git (master):

commit ae49d776cba209deb17f0826af6749ebe08367a9
Author: Michael J Rubinsky <mrubinsk@horde.org>
Date:   Wed Nov 14 14:07:45 2012 -0500

     Add missing bookmarked on date field in UI.

     Bug: 11704

  trean/templates/list.html.php |    6 ++++++
  1 files changed, 6 insertions(+), 0 deletions(-)

http://git.horde.org/horde-git/-/commit/ae49d776cba209deb17f0826af6749ebe08367a9
2012-11-14 18:53:19 Michael Rubinsky Comment #3
Assigned to Michael Rubinsky
State ⇒ Assigned
Reply to this comment
The problem is that the default in the prefs.php file is for the 
bookmarked on date field, which is not currently being rendered in the 
bookmark list.

2012-11-14 18:22:49 Jan Schneider Comment #2
State ⇒ Feedback
Reply to this comment
Works fine here. If there is no sorting (not sure if this is possible 
at all), there won't be an arrow of course.
2012-11-14 17:33:49 Thomas Jarosch Comment #1
State ⇒ Unconfirmed
Patch ⇒ No
Milestone ⇒
Queue ⇒ Trean
Summary ⇒ Default sort arrow not visible
Type ⇒ Bug
Priority ⇒ 1. Low
Reply to this comment
Hi,

the columns in trean are sortable like in any other horde application.
Somehow the up/down arrow is not shown in trean by default.

If you change the sort order by clicking a column, it appears.
Guess the default sort order is not given.

Thomas